/**
 * 
 */
package de.mpc.prolic.exceptions;

/**
 * Exception, which is thrown if the format of the input files does not fit the specifications of the ProLiC format
 * @author Michael Kohl
 *
 */
public class ProLiCFormatException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 6375669540851695161L;

	/**
	 * Empty Constructor
	 */
	public ProLiCFormatException() {

	}

	/**
	 * @param message
	 */
	public ProLiCFormatException(String message) {
		super(message);

	}

	/**
	 * @param cause
	 */
	public ProLiCFormatException(Throwable cause) {
		super(cause);

	}

	/**
	 * @param message
	 * @param cause
	 */
	public ProLiCFormatException(String message, Throwable cause) {
		super(message, cause);

	}

	/**
	 * @param message
	 * @param cause
	 * @param enableSuppression
	 * @param writableStackTrace
	 */
	public ProLiCFormatException(String message, Throwable cause,
			boolean enableSuppression, boolean writableStackTrace) {
		super(message, cause, enableSuppression, writableStackTrace);
	}

}
